*** ngx_http_variables.c_orig	2012-09-27 17:05:36.175596210 +0200
--- ngx_http_variables.c	2012-09-27 16:59:33.511589895 +0200
***************
*** 69,74 ****
--- 69,76 ----
      ngx_http_variable_value_t *v, uintptr_t data);
  static ngx_int_t ngx_http_variable_remote_user(ngx_http_request_t *r,
      ngx_http_variable_value_t *v, uintptr_t data);
+ static ngx_int_t ngx_http_variable_bytes_sent(ngx_http_request_t *r,
+     ngx_http_variable_value_t *v, uintptr_t data);
  static ngx_int_t ngx_http_variable_body_bytes_sent(ngx_http_request_t *r,
      ngx_http_variable_value_t *v, uintptr_t data);
  static ngx_int_t ngx_http_variable_request_completion(ngx_http_request_t *r,
***************
*** 212,217 ****
--- 214,222 ----
  
      { ngx_string("remote_user"), NULL, ngx_http_variable_remote_user, 0, 0, 0 },
  
+     { ngx_string("bytes_sent"), NULL, ngx_http_variable_bytes_sent,
+       0, 0, 0 },
+ 
      { ngx_string("body_bytes_sent"), NULL, ngx_http_variable_body_bytes_sent,
        0, 0, 0 },
  
***************
*** 1431,1436 ****
--- 1436,1469 ----
  
      return NGX_OK;
  }
+ 
+ 
+ static ngx_int_t
+ ngx_http_variable_bytes_sent(ngx_http_request_t *r,
+     ngx_http_variable_value_t *v, uintptr_t data)
+ {
+     off_t    sent;
+     u_char  *p;
+ 
+     sent = r->connection->sent;
+ 
+     if (sent < 0) {
+         sent = 0;
+     }
+ 
+     p = ngx_pnalloc(r->pool, NGX_OFF_T_LEN);
+     if (p == NULL) {
+         return NGX_ERROR;
+     }
+ 
+     v->len = ngx_sprintf(p, "%O", sent) - p;
+     v->valid = 1;
+     v->no_cacheable = 0;
+     v->not_found = 0;
+     v->data = p;
+ 
+     return NGX_OK;
+ }
  
  
  static ngx_int_t
